<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button class="btn btn-primary ml-1" (click)="buscarInfo()">
    <i class="fa fa-search mr-2"></i>Buscar
  </button>
  <button (click)="exportPdf()" class="btn btn-danger ml-1" [disabled]="dataGrid.length == 0">
    <i class="fa fa-file-pdf mr-2"></i>PDF
  </button>
</app-page-title>

<div class="main-card mb-3 card">
  <div class="card-body">

    <form [formGroup]="ngForm">

      <div class="row">
        <div class="form-group col-12 col-sm-3 col-md-3 col-lg-3 col-xl-3">
          <label class="w-100">Fecha</label>
          <kendo-datepicker formControlName="fFec1" class="w-100" [format]="formatKendo">
          </kendo-datepicker>
        </div>
        <div class="form-group col-6 col-md-4 col-lg-3">
          <label class="w-100">Tipo de Brazalete</label>
          <div class="input-group">
            <kendo-combobox [data]="tipoBraz" [textField]="'tdesc'" [valueField]="'tbanda'"
              [placeholder]="'Seleccionar Tipo'" class="form-control" formControlName="cChr1" [valuePrimitive]="true">
            </kendo-combobox>
          </div>
        </div>
      </div>

    </form>

    <div class="divider"></div>

    <kendo-grid [kendoGridBinding]="dataGrid" [selectable]="true" [filter]="filter" [filterable]="true"
      (filterChange)="filterChange($event)" [navigable]="true" [reorderable]="true" [resizable]="true" [sortable]="true"
      [pageSize]="pageSize" [skip]="skip" [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 60vh;"
      *ngIf="!loading">
      <div *ngIf="dataGrid.length !== 0">
        <ng-template kendoGridToolbarTemplate>
          <button class="btn btn-success" kendoGridExcelCommand icon="file-excel">Excel</button>
        </ng-template>
        <kendo-grid-column field="Tipo" title="Tipo" width="120">
        </kendo-grid-column>
        <kendo-grid-column field="NoBrazalete" title="Brazalete" width="120" filterable="false">
        </kendo-grid-column>
        <kendo-grid-column field="Ope" title="Operador" width="120">
        </kendo-grid-column>
        <kendo-grid-column field="Cuarto" title="# Cuarto" width="120">
        </kendo-grid-column>
        <kendo-grid-column field="NoFolio" title="# Folio" width="130">
        </kendo-grid-column>
        <kendo-grid-column field="Nombre" title="Nombre" width="120">
        </kendo-grid-column>
        <kendo-grid-column field="Cx" title="Cx" width="120" filterable="false">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{dataItem.Cx ? 'Si' : 'No'}}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-excel fileName="{{this.heading}}.xlsx" [fetchData]="allData"></kendo-grid-excel>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>

    <div class="divider"></div>

    <kendo-grid [kendoGridBinding]="dataGlobal" *ngIf="!loading" [selectable]="true" [navigable]="true"
      [reorderable]="true" [resizable]="true" [sortable]="true" [pageSize]="pageSize" [skip]="skip"
      [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 60vh;" class="mt-1">
      <div *ngIf="dataGlobal.length !== 0">
        <kendo-grid-column field="Tipo" title="Tipo" width="120">
        </kendo-grid-column>
        <kendo-grid-column field="Descripcion" title="Descripción" width="120">
        </kendo-grid-column>
        <kendo-grid-column field="t-total[0]" title="Asignadas" width="120">
        </kendo-grid-column>
        <kendo-grid-column field="t-total[1]" title="Canceladas" width="120">
        </kendo-grid-column>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>
  </div>
  <app-loading *ngIf="loading"></app-loading>
</div>